Bug 443999 - /kernel/security/audit/audit-test: syscalls test fails on ia64
/kernel/security/audit/audit-test: syscalls test fails on ia64
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
high Severity medium
: rc
: ---
Assigned To: Luming Yu
Martin Jenner
: Reopened
Depends On:
Blocks: 461297
  Show dependency treegraph
 
Reported: 2008-04-24 10:55 EDT by Joshua Giles
Modified: 2012-06-20 12:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system calls test case (3.85 KB, application/octet-stream)
2008-05-08 20:20 EDT, Joshua Giles
no flags Details

  None (edit)
Description Joshua Giles 2008-04-24 10:55:14 EDT
Description of problem:
/kernel/security/audit/audit-test: syscalls fails
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=2774151

Version-Release number of selected component (if applicable):
2.6.9-69.EL


How reproducible:
Happened on 1 machine thus far:
altix3.rhts.boston.redhat.com

Steps to Reproduce:
1. Run the aforementioned test via RHTS on ia64
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Prarit Bhargava 2008-04-24 13:49:30 EDT
From private email from jburke:

This is a "known" failure believed to be a test issue but not proven as of yet.

Jeff -- is there an open BZ on this?

P.
Comment 2 Jeff Burke 2008-04-24 14:23:48 EDT
Prarit,
 No BZ, Have not opened one because I am not sure it is a RHEL issue. This seems
t be a test issue.

Jeff 
Comment 3 Joshua Giles 2008-04-24 15:19:29 EDT
Why was this closed as INSUFFICENT DATA?  If this is so the least that could be
done is to indicate what data would be helpful/useful?  
Comment 4 Luming Yu 2008-05-05 03:45:04 EDT
Based on comment# 1, #2, if it could be a test case problem, I believe it would
affect All platforms besides IA64.., So moving it to generic.., 
Btw, if it is not reproduceible on other platform, please share the test case,
then I can help debug the problem.
Comment 6 Joshua Giles 2008-05-08 20:20:18 EDT
Created attachment 304915 [details]
system calls test case
Comment 8 Jeff Burke 2008-05-08 21:18:35 EDT
Joshua,
   The audit-test syscalls test has 90 sub tests. I believe Linda's question was
which one of the syscalls tests failed?

Linda,
   It was the ptrace test case.
Comment 9 Jeff Burke 2008-05-08 21:23:42 EDT
Joshua,
    In order to figure out if this is a testcase, kernel or audit-libs user
space issue can you tell us when the last time this test passed? Both distro and
kernel version.
Comment 10 Joshua Giles 2008-05-09 10:23:06 EDT
Linda,

Sorry about the confusion as I assumed you saw the log which had the ptrace
testcase marked as failed so I thought you wanted something more like the actual
file that included the failed test case.



Comment 11 Luming Yu 2008-05-14 05:01:33 EDT
Please provide howto for reproducing the bug. eg. how to get the source code of
the failed test case , and how to run the test case...
I'm sorry I cannot figure that out by just knowing the test case name..
Comment 12 Joshua Giles 2008-05-14 22:17:03 EDT
This passed on 2.6.9-67.EL kernel U6 Distro.  Will have results on other kernels
soon.
Comment 13 Joshua Giles 2008-05-14 22:38:18 EDT
Luming Yu,

The testcase can be checked out of cvs and run from the rhts interface.  Please
read:
http://intranet.corp.redhat.com/ic/intranet/RHTSMainPage.html

Comment 14 Jeff Burke 2008-05-15 08:13:01 EDT
Luming,
   You can download the test case from the internal RHTS repository.
http://rhts.redhat.com/rpms/development/noarch/noarch/rh-tests-kernel-security-audit-audit-test-2088-1.0-17.noarch.rpm

   If you are running this outside of RHTS you will need to install the RHTS
developers rpms.
http://intranet.corp.redhat.com/ic/intranet/RHTSMainPage.html#devel
Follow steps 1-3.

   Once you have the testcase and framework installed you can then cd
/mnt/tests/kernel/audit/audit-test-2088. Then do a make run. That will build
then run entire audit test suite. After that you can run individual testcases.
Comment 15 Joshua Giles 2008-05-16 09:55:02 EDT
This test case seems to have been failing as early as 2.6.9-67.0.1.EL RHEL4-U6:
http://rhts.redhat.com/cgi-bin/rhts/recipes.cgi?id=78630
Comment 16 RHEL Product and Program Management 2008-09-03 09:05:39 EDT
Updating PM score.
Comment 17 Luming Yu 2008-10-13 05:15:22 EDT
would Joshua please help me find package selinux-policy-devel or alternatives available in RHEL 4 that should be compatible with package rh-tests-kernel-security-audit-audit-test  to reproduce bz443999. I'm trying to reproduce it on my local box, because there's network problem to access RHTS that can't get resolved in short time..
Comment 24 RHEL Product and Program Management 2009-03-12 15:33:04 EDT
Since RHEL 4.8 External Beta has begun, and this bugzilla remains 
unresolved, it has been rejected as it is not proposed as exception or 
blocker.
Comment 26 Jiri Pallich 2012-06-20 12:17:02 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.